import request from '@/utils/request'

// 查询废旧系统物料类型（支持父子级树结构）列表
export function listType(query) {
  return request({
    url: '/worn/type/list',
    method: 'get',
    params: query
  })
}

// 查询废旧系统物料类型（支持父子级树结构）详细
export function getType(id) {
  return request({
    url: '/worn/type/' + id,
    method: 'get'
  })
}

// 新增废旧系统物料类型（支持父子级树结构）
export function addType(data) {
  return request({
    url: '/worn/type',
    method: 'post',
    data: data
  })
}

// 修改废旧系统物料类型（支持父子级树结构）
export function updateType(data) {
  return request({
    url: '/worn/type',
    method: 'put',
    data: data
  })
}

// 删除废旧系统物料类型（支持父子级树结构）
export function delType(id) {
  return request({
    url: '/worn/type/' + id,
    method: 'delete'
  })
}
